QuantLib: DigitalCmsSpreadLeg Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
DigitalCmsSpreadLeg Class Reference

helper class building a sequence of digital ibor-rate coupons More...

`#include <ql/experimental/coupons/digitalcmsspreadcoupon.hpp>`

## Public Member Functions
| DigitalCmsSpreadLeg (const Schedule &schedule, const ext::shared_ptr< SwapSpreadIndex > &index)
DigitalCmsSpreadLeg & | withNotionals (Real notional)
DigitalCmsSpreadLeg & | withNotionals (const std::vector< Real > &notionals)
DigitalCmsSpreadLeg & | withPaymentDayCounter (const DayCounter &)
DigitalCmsSpreadLeg & | withPaymentAdjustment (BusinessDayConvention)
DigitalCmsSpreadLeg & | withFixingDays (Natural fixingDays)
DigitalCmsSpreadLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
DigitalCmsSpreadLeg & | withGearings (Real gearing)
DigitalCmsSpreadLeg & | withGearings (const std::vector< Real > &gearings)
DigitalCmsSpreadLeg & | withSpreads (Spread spread)
DigitalCmsSpreadLeg & | withSpreads (const std::vector< Spread > &spreads)
DigitalCmsSpreadLeg & | inArrears (bool flag=true)
DigitalCmsSpreadLeg & | withCallStrikes (Rate strike)
DigitalCmsSpreadLeg & | withCallStrikes (const std::vector< Rate > &strikes)
DigitalCmsSpreadLeg & | withLongCallOption (Position::Type)
DigitalCmsSpreadLeg & | withCallATM (bool flag=true)
DigitalCmsSpreadLeg & | withCallPayoffs (Rate payoff)
DigitalCmsSpreadLeg & | withCallPayoffs (const std::vector< Rate > &payoffs)
DigitalCmsSpreadLeg & | withPutStrikes (Rate strike)
DigitalCmsSpreadLeg & | withPutStrikes (const std::vector< Rate > &strikes)
DigitalCmsSpreadLeg & | withLongPutOption (Position::Type)
DigitalCmsSpreadLeg & | withPutATM (bool flag=true)
DigitalCmsSpreadLeg & | withPutPayoffs (Rate payoff)
DigitalCmsSpreadLeg & | withPutPayoffs (const std::vector< Rate > &payoffs)
DigitalCmsSpreadLeg & | withReplication (const ext::shared_ptr< DigitalReplication > &replication=ext::shared_ptr< DigitalReplication >(new DigitalReplication))
DigitalCmsSpreadLeg & | withNakedOption (bool nakedOption=true)
| operator Leg () const

## Detailed Description

helper class building a sequence of digital ibor-rate coupons